Subject: Re: bug#26959: Feature request: bold underlines

From: Clément Pit--Claudel <[email-masked]>
Date: Wed, 17 May 2017 14:48:15 -0400

On 2017-05-17 12:06, Drew Adams wrote:
>>> Whatever decision is made about what the most appropriate behavior
>>> is, should we make it optional, e.g., give users a way to _not_
>>> scale such lines, boxes, etc.?
>>
>> I think we should wait for an explicit request before introducing such an
>> option: I have not seen complaints about the behavior as currently
>> implemented in GNU/Linux.
> 
> So you are suggesting not only a change in the _default_ behavior
> but a change in the behavior altogether. 

My OP (in the other thread) was about underlines. With my proposal, the behavior would not change on Linux for straight underlines.

> Why is that the right
> approach?  Don't you expect that there are some users or libraries
> that currently expect or depend on the current behavior?

How would a library depend on this, given that it isn't consistent across platforms, and not observable from ELisp?

> Just because someone thinks a change in behavior is a good idea
> (and I have no opinion on this one, so far), it doesn't follow
> that Emacs should make that change by default or (especially)
> as the only possible behavior.

Sure. But until someone voices support for what others consider as a bug, it might not make sense to expend resources adding a flag to revert to the old behavior. 
In any case, maybe we should move this discussion to #26958?